Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.repository.service
Enum ServiceAdministrator.State

    java.lang.Object
      java.lang.Enum<ServiceAdministrator.State>
          org.modeshape.repository.service.ServiceAdministrator.State

All Implemented Interfaces:
  Serializable, Comparable<ServiceAdministrator.State>

Enclosing interface:
  ServiceAdministrator

    public static enum ServiceAdministrator.State

extends Enum<ServiceAdministrator.State>

The available states.

Author:
  Randall Hauch

Enum Constant Summary
`PAUSED`
`SHUTDOWN`
`STARTED`
`TERMINATED`

Method Summary
`static ServiceAdministrator.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ServiceAdministrator.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STARTED

    public static final ServiceAdministrator.State STARTED

### PAUSED

    public static final ServiceAdministrator.State PAUSED

### SHUTDOWN

    public static final ServiceAdministrator.State SHUTDOWN

### TERMINATED

    public static final ServiceAdministrator.State TERMINATED

Method Detail

### values

    public static ServiceAdministrator.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ServiceAdministrator.State c : ServiceAdministrator.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ServiceAdministrator.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.